- @no_rails_layout = true
- @no_footer = true

#app
-# FIXME: find a better way to pass configuration values.

:ruby
  maps_image_mime_types = Rails.configuration.garden_party.maps[:allowed_picture_mime_types].join(', ')
  observations_mime_types = Rails.configuration.garden_party.observations[:allowed_pictures_mime_types].join(', ')
  observations_largest_picture_size = Rails.configuration.garden_party.observations[:largest_pictures_size]
:javascript
  const MAPS_ALLOWED_MIME_TYPES           = '#{maps_image_mime_types}'
  const OBSERVATIONS_ALLOWED_MIME_TYPES   = '#{observations_mime_types}'
  const OBSERVATIONS_LARGEST_PICTURE_SIZE = #{observations_largest_picture_size}

= vite_javascript_tag 'vue-garden'
